Bug 795237 - zanata python client still display depreciate help on "version create"
zanata python client still display depreciate help on "version create"
Status: CLOSED NEXTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity unspecified
: Sprint-32
: ---
Assigned To: James Ni
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-19 22:59 EST by Ding-Yi Chen
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: zanata python client version: 1.3.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 02:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-02-19 22:59:32 EST
Description of problem:
The version name and version description are removed. However, zanata python client still display them as valid options.

Version-Release number of selected component (if applicable):
zanata-python-client1.3.3-22-g0fa5


How reproducible:
Always

Steps to Reproduce:
1. zanata -h version create
  
Actual results:
Following depreciated options are listed.
   --version-name: version name
   --version-desc: version description


Expected results:
   --version-name: version name
   --version-desc: version description
should be listed as "depreciate" and stated they should not be used in new scripts or programs.

Additional info:
Comment 1 James Ni 2012-03-29 23:21:50 EDT
Hi Ding, 

This is modified in
https://github.com/zanata/zanata-python-client/commit/f76e93ab6100913a9d4363f804400377f1b69930

and it is also included in 1.3.4, in fedora update-testing
Comment 2 Joyce Chang 2012-04-03 01:38:36 EDT
verified with zanata python client version: 1.3.4-12-gff6d
Comment 3 Joyce Chang 2012-04-03 20:01:12 EDT
added verification testing process:

Setup:

zanata python client version: 1.3.4-12-gff6d installed 

steps:

1. open a terminal where zanata python client vesion: 1.3.4-12-gff6d is installed
2. issue command: ./zanata -h version create

Expected results:

   --version-name: version name
   --version-desc: version description
should be listed as "depreciate" and stated they should not be used in new
scripts or programs.

Actual results:
Usage: zanata version create [VERSION_ID] [OPTIONS]

Create a version

Options:
    --username: user name (defaults to zanata.ini value)
    --apikey: api key of user (defaults to zanata.ini value)
    --project-id: id of the project
    --version-name(Deprecated): version name 
    --version-desc(Deprecated): version description

Note You need to log in before you can comment on or make changes to this bug.